libzypp 17.37.10

zypp::MirroredOrigin::Private Struct Reference

## Public Member Functions
| Private (OriginEndpoint &&authority={}, std::vector< OriginEndpoint > &&mirrors={})
| ~Private ()=default
Private * | clone () const

## Public Attributes
OriginEndpoint | _authority
std::vector< OriginEndpoint > | _mirrors

## Detailed Description

Definition at line 136 of file MirroredOrigin.cc.

## Constructor & Destructor Documentation

## ◆ Private()

zypp::MirroredOrigin::Private::Private | ( | OriginEndpoint && | authority = {},
|  | std::vector< OriginEndpoint > && | mirrors = {} )
| inline

Definition at line 137 of file MirroredOrigin.cc.

## ◆ ~Private()

zypp::MirroredOrigin::Private::~Private | ( |  | ) |
| default

## Member Function Documentation

## ◆ clone()

Private * zypp::MirroredOrigin::Private::clone | ( |  | ) | const
| inline

Definition at line 143 of file MirroredOrigin.cc.

## Member Data Documentation

## ◆ _authority

OriginEndpoint zypp::MirroredOrigin::Private::_authority

Definition at line 147 of file MirroredOrigin.cc.

## ◆ _mirrors

std::vector<OriginEndpoint> zypp::MirroredOrigin::Private::_mirrors

Definition at line 148 of file MirroredOrigin.cc.

The documentation for this struct was generated from the following file:

- zypp-core/MirroredOrigin.cc